#! /bin/bash

set -u
set -e

error_exit()
{
    echo "ERROR: $1"
    exit 1
}

# XXX: We assume, for now, that MASS is already installed
TOPDIR=$(dirname $(readlink -f $0))

# Install system packages (case study dependencies)
if [ $(id -u) -eq 0 ]; then
    # already sudo
    apt-get update -y
    apt-get install -y python python3 python3-pip git vim

    # Upgrade pip version
    pip3 install --upgrade pip
else
    sudo apt-get update -y
    sudo apt-get install -y python python3 python3-pip git vim

    # Upgrade pip version
    sudo pip3 install --upgrade pip
fi

